"use strict";
/**
 * stringInterpolation 🧵
 * ---
 * a common utility for interpolating variables in strings
 * ---
 * @param str a string
 * @param arr an array of objects
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringInterpolation = void 0;
const stringInterpolation = (str, arr) => str && arr
    ? arr.reduce((generatedStr, item) => {
        const dynamicKey = Object.keys(item).toString();
        return generatedStr.replace(`#{${dynamicKey}}`, item[dynamicKey]);
    }, str)
    : str;
exports.stringInterpolation = stringInterpolation;
exports.default = exports.stringInterpolation;
//# sourceMappingURL=index.js.map